Skip to content
Back to Steward

Update a webhook

PATCH
/api/v1/webhooks/{id}
id
required
string

Webhook ID

object
url

URL to deliver webhook payloads to

string
Example
https://your-app.com/webhooks/steward
events

Events to subscribe to

Array<string>
Allowed values: application.created application.onboarding_started application.submitted application.updated application.approved application.rejected screening.hits_created screening.enrichment_completed screening.hit_updated document.uploaded risk_score.created risk_score.updated reviewer.assigned reviewer.unassigned note.created note.updated note.deleted
Example
[
"application.submitted",
"application.approved"
]
status

Webhook status

string
Allowed values: ACTIVE PAUSED
Example
ACTIVE

Webhook updated

object
id
required

Webhook ID

string
Example
507f1f77bcf86cd799439011
url
required

URL where webhook payloads are delivered

string
Example
https://your-app.com/webhooks/steward
events
required

Events the webhook is subscribed to

Array<string>
Example
[
"application.submitted",
"application.approved"
]
status
required

Webhook status

string
Allowed values: ACTIVE PAUSED
Example
ACTIVE
createdAt
required

Date the webhook was created

string
Example
2026-03-01T10:00:00.000Z
updatedAt
required

Date the webhook was last updated

string
Example
2026-03-30T12:00:00.000Z
Example
{
"id": "507f1f77bcf86cd799439011",
"url": "https://your-app.com/webhooks/steward",
"events": [
"application.submitted",
"application.approved"
],
"status": "ACTIVE",
"createdAt": "2026-03-01T10:00:00.000Z",
"updatedAt": "2026-03-30T12:00:00.000Z"
}